Bug 337691 - GFS2: [RFE] Support quota messages via netlink
GFS2: [RFE] Support quota messages via netlink
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Whitehouse
http://git.kernel.org/?p=linux/kernel...
: FutureFeature
Depends On:
Blocks: 298561 519832
  Show dependency treegraph
 
Reported: 2007-10-18 06:26 EDT by Steve Whitehouse
Modified: 2009-12-15 05:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 05:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
VFS patch to make the feature available to filesystems (3.61 KB, patch)
2009-09-16 11:59 EDT, Steve Whitehouse
no flags Details | Diff
The GFS2 patch to make use of the new VFS interface (1.33 KB, patch)
2009-09-16 12:28 EDT, Steve Whitehouse
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2007-10-18 06:26:24 EDT
As of the latest upstream kernels the quota subsystem has a new notification
mechanism. Its not currently exported, but it ought to be, and we ought to be
able to use it for our messages in order that they are compatible.

This is a reminder to look at this at some future time.
Comment 1 Steve Whitehouse 2009-09-16 11:59:08 EDT
Created attachment 361308 [details]
VFS patch to make the feature available to filesystems

This is the VFS side of the equation. Will need to get this reviewed upstream at some stage, but first we need to hook it into GFS2 with a further patch, and to test it.
Comment 2 Steve Whitehouse 2009-09-16 12:28:27 EDT
Created attachment 361321 [details]
The GFS2 patch to make use of the new VFS interface
Comment 3 Steve Whitehouse 2009-12-15 05:03:04 EST
This has gone into 2.6.33

Note You need to log in before you can comment on or make changes to this bug.